## python-ironicclient 5.13.0

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.

pbr>=6.0.0 # Apache-2.0
platformdirs>=3 # MIT License
cliff>=2.8.0 # Apache-2.0
dogpile.cache>=0.8.0 # BSD
jsonschema>=3.2.0 # MIT
keystoneauth1>=3.11.0 # Apache-2.0
openstacksdk>=0.18.0 # Apache-2.0
osc-lib>=2.0.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
PyYAML>=3.13 # MIT
requests>=2.14.2 # Apache-2.0
stevedore>=1.20.0 # Apache-2.0

=== doc/requirements.txt ===
openstackdocstheme>=2.2.0 # Apache-2.0
reno>=3.1.0 # Apache-2.0
sphinx>=2.0.0 # BSD
sphinxcontrib-apidoc>=0.2.0  # BSD

=== debian/changelog ===
python-ironicclient (5.13.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 28 Sep 2025 22:21:30 +0200

python-ironicclient (5.13.0-1) experimental; urgency=medium

  * New upstream release.
  * Drop Fix-bare-metal-info-order-in-unit-tests.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Tue, 02 Sep 2025 08:25:12 +0200

=== debian/control ===
Source: python-ironicclient
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
 David Della Vecchia <ddv@canonical.com>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 6.0.0),
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-cliff (>= 4.9.1),
 python3-ddt,
 python3-dogpile.cache,
 python3-fixtures,
 python3-jsonschema,
 python3-keystoneauth1,
 python3-openstackclient,
 python3-openstackdocstheme,
 python3-openstacksdk,
 python3-osc-lib,
 python3-oslo.utils,
 python3-oslotest,
 python3-platformdirs,
 python3-requests,
 python3-requests-mock,
 python3-sphinxcontrib.apidoc,
 python3-stestr,
 python3-stevedore,
 python3-subunit,
 python3-tempest,
 python3-testtools,
 python3-yaml,
 subunit,
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-ironicclient
Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-ironicclient.git
Homepage: http://www.openstack.org

Package: python-ironicclient-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Client for OpenStack bare metal Service - doc
 Ironic provision bare metal machines instead of virtual machines. It is a fork
 of the Nova Baremetal driver. It is best thought of as a bare metal hypervisor
 API and a set of plugins which interact with the bare metal hypervisors. By
 default, it will use PXE and IPMI in concert to provision and turn on/off
 machines, but Ironic also supports vendor-specific plugins which may
 implement
 additional functionality.
 .
 This is a client for the OpenStack Ironic API. There's a Python API
 (the "ironicclient" module), and a command-line script ("ironic").
 .
 Installing this package gets you a shell command, that you can use to
 interact with Ironic's API.
 .
 This package provides the documentation.

Package: python3-ironicclient
Architecture: all
Depends:
 python3-cliff (>= 4.9.1),
 python3-dogpile.cache,
 python3-jsonschema,
 python3-keystoneauth1,
 python3-openstackclient,
 python3-openstacksdk,
 python3-osc-lib,
 python3-oslo.utils,
 python3-pbr (>= 6.0.0),
 python3-platformdirs,
 python3-requests,
 python3-stevedore,
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Description: Client for OpenStack bare metal Service - Python 3.x
 Ironic provision bare metal machines instead of virtual machines. It is a fork
 of the Nova Baremetal driver. It is best thought of as a bare metal hypervisor
 API and a set of plugins which interact with the bare metal hypervisors. By
 default, it will use PXE and IPMI in concert to provision and turn on/off
 machines, but Ironic also supports vendor-specific plugins which may
 implement
 additional functionality.
 .
 This is a client for the OpenStack Ironic API. There's a Python API
 (the "ironicclient" module), and a command-line script ("ironic").
 .
 Installing this package gets you a shell command, that you can use to
 interact with Ironic's API.
 .
 This package provides the Python 3.x support.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@  --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build .stestr *.egg-info doc/source/reference/api
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html doc/source debian/python-ironicclient-doc/usr/share/doc/python-ironicclient-doc/html
	dh_sphinxdoc
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/python-ironicclient refs/tags/(\d[brc\d\.]+)

## python-ironicclient 5.14.0

=== debian/changelog ===
python-ironicclient (5.14.0-0ubuntu1) resolute; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    gazpacho.
  * d/watch: update for new upstream
  * d/u/signing-key.asc: update for gazpacho
  * New upstream version 5.14.0
  * New upstream release for OpenStack Gazpacho. (LP: #2138121)

 -- Myles Penner <myles.penner@canonical.com>  Tue, 20 Jan 2026 18:30:32 -0800

python-ironicclient (5.13.0-0ubuntu1) questing; urgency=medium

  * New upstream release for OpenStack Flamingo (LP: #2122726).

 -- Myles Penner <myles.penner@canonical.com>  Tue, 16 Sep 2025 14:52:01 -0700

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/,pgpsigurlmangle=s/$/.asc/ \
https://tarballs.openstack.org/python-ironicclient/python_ironicclient-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-ironicclient 5.15.0

=== debian/changelog ===
python-ironicclient (5.15.0-0ubuntu1) resolute; urgency=medium

  * New upstream release for OpenStack Gazpacho. (LP: #2138121)

 -- Myles Penner <myles.penner@canonical.com>  Sun, 01 Feb 2026 14:53:36 -0800

## python-ironicclient 6.0.0

=== debian/changelog ===
python-ironicclient (6.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 27 Feb 2026 12:39:19 +0100
